@model List<Funcionario>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<head>
    <style>
    .popup {
        display: none;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 300px;
        height: 200px;
        background-color: #f2f2f2;
        padding: 20px;
        border: 1px solid #ccc;
    }

    .popup table {
        position: absolute;
        bottom: 0;
        align-items: center;
    }

    </style>
</head>


<h1>Lista de Funcionarios</h1>

<div>
    <form action="/funcionario/search" method="post">
        <div class="form-group" style="margin-bottom: 10px;">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui" />
        </div>
        <div style="margin-bottom: 15px;">
            <input type="submit" class="btn btn-primary" value="Buscar" />
            <input type="reset" class="btn btn-secondary" value="Limpar" onclick="redirect()" />
        </div>
        
    </form>
</div>

<table class="table table-hover">
    @foreach (Funcionario f in Model)
    {
    <tr>
        
        <td>@f.Nome</td>
        <td>@f.Email</td>
        <td>@f.Telefone</td>

        
        <td><a href="/funcionario/details/@f.IdFuncionario" class="btn btn-info">Detalhes</a></td>
        <td>
            <button onclick="openPopup()" class="btn btn-danger">Apagar</button>
                <div id="myPopup" class="popup">
                    <h2 class="text-center">Confirmação</h2> 
                    <div class="text-center">Deseja mesmo apagar este funcionário?</div>
                    <table class="table table-hover">
                        <tr>
                            <td><button onclick="closePopup()" class="btn btn-info">Cancelar</button></td>
                            <td><a href="/funcionario/delete/@f.IdFuncionario" class="btn btn-danger">Apagar</a></td>
                        </tr>
                    </table>
                </div>
        </td>
        <td><a href="/funcionario/update/@f.IdFuncionario" class="btn btn-warning">Editar</a></td>
    </tr>
    } 
</table>

<a href="/funcionario/create" class="btn btn-success">Adicionar</a>

<script>
    function redirect(){
        location.href="/funcionario/index"
    }
</script>
<script>
    function openPopup() {
        document.getElementById("myPopup").style.display = "block";
    }

    function closePopup() {
        document.getElementById("myPopup").style.display = "none";
    }
</script>